/*******************************************************
 * 
 * This is a C++ version of Stefan Gustavson's implementation
 * of improved Perlin noise and Perlin's simplex noise.
 * See: http://webstaff.itn.liu.se/~stegu/simplexnoise/
 *
 * Code written by Jeppe Revall Frisvad
 * Copyright (c) DTU Informatics, 2009
 *
 *******************************************************/

#ifndef SIMPLEX_H
#define SIMPLEX_H

namespace Classic
{
  // Improved Perlin noise, 3D version
  double noise(double x, double y, double z);
}

namespace Simplex
{
  // 2D simplex noise
  double noise(double xin, double yin);

  // 3D simplex noise
  double noise(double xin, double yin, double zin);

  // 4D simplex noise
  double noise(double x, double y, double z, double w);
}

#endif
